%define name xmms-kde 
%define version 0.6.0
%define release 3mdk


Summary:     XMMS - applet for controlling xmms from the KDE panel.
Name:        %{name} 
Version:     %{version} 
Release:     %{release} 
Source:      %name-%version.tar.bz2
URL:         http://xmms-kde.sourceforge.net
Group:       Sound 
BuildRoot:   %{_tmppath}/%{name}-buildroot 
License:     GPL 
Requires:    xmms kdelibs >= 2.0 libqt2 >= 2.1.1 

%description
XMMS panel applet for the KDE2 panel (kicker).
It is used to be able to control XMMS without having to switch to the virtual desktop where XMMS is running.

Email (author): tranqlzer@users.sourceforge.net 

%prep 
rm -rf $RPM_BUILD_ROOT 

%setup -q -a 0

%build 
%configure 
%make

%install
   make \
	prefix=%{?buildroot:%{buildroot}}%{_prefix} \
	libdir=%{?buildroot:%{buildroot}}%{_libdir} \
	configdir=%{?buildroot:%{buildroot}}%{_datadir}/xmms-kde \
	themedir=%{?buildroot:%{buildroot}}%{_datadir}/xmms-kde/Themes \
	horizontal42themedir=%{?buildroot:%{buildroot}}%{_datadir}/xmms-kde/Themes/horizontal42 \
	vertical42themedir=%{?buildroot:%{buildroot}}%{_datadir}/xmms-kde/Themes/vertical42 \
    install 

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean 
rm -rf $RPM_BUILD_ROOT 

%files 
%defattr(-,root,root,0755) 
%doc README TODO COPYING AUTHORS INSTALL ChangeLog
%{_libdir}/libxmmskde.la
%{_libdir}/libxmmskde.so
%{_libdir}/libxmmskde.so.1
%{_libdir}/libxmmskde.so.1.0.0
%{_datadir}/apps/kicker/applets/xmms-kde.desktop
%dir %{_datadir}/xmms-kde
%dir %{_datadir}/xmms-kde/Themes
%dir %{_datadir}/xmms-kde/Themes/horizontal42
%dir %{_datadir}/xmms-kde/Themes/vertical42
%{_datadir}/xmms-kde/Themes/horizontal42.theme
%{_datadir}/xmms-kde/Themes/vertical42.theme
%{_datadir}/xmms-kde/xmms-kde.rc
%{_datadir}/xmms-kde/Themes/horizontal42/main.bmp
%{_datadir}/xmms-kde/Themes/horizontal42/seek.bmp
%{_datadir}/xmms-kde/Themes/horizontal42/volume.bmp
%{_datadir}/xmms-kde/Themes/vertical42/main.bmp
%{_datadir}/xmms-kde/Themes/vertical42/seek.bmp
%{_datadir}/xmms-kde/Themes/vertical42/volume.bmp


%changelog 
* Tue Mar 20 2001 David BAUDENS <baudens@mandrakesoft.com> 0.6.0-3mdk
- Rebuild against Qt 2.3.0

* Thu Feb 22 2001 David BAUDENS <baudens@mandrakesoft.com> 0.6.0-2mdk
- Rebuild with libmng1

* Thu Jan 18 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.0-1mdk
- used srpm from Anders Lund <anders@alweb.dk> 
	- initial mandrake rpm

